# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNSBookmarkExporter Class Reference

A class that exports all the current bookmarks to Netscape/Mozilla bookmarks Warning, it overwrites the existing bookmarks.html file ! More...

`#include <kbookmarkimporter_ns.h>`

Collaboration diagram for KNSBookmarkExporter:

[legend]
List of all members.

## Public Member Functions

| KNSBookmarkExporter (KBookmarkManager *mgr, const QString &fileName)
void | write ()
void | write (bool utf8)

## Protected Member Functions

void | writeFolder (QTextStream &stream, KBookmarkGroup parent)

## Protected Attributes

QString | m_fileName
KBookmarkManager * | m_pManager

## Detailed Description

A class that exports all the current bookmarks to Netscape/Mozilla bookmarks Warning, it overwrites the existing bookmarks.html file !

Deprecated:

Definition at line 97 of file kbookmarkimporter_ns.h.

The documentation for this class was generated from the following files:

- kbookmarkimporter_ns.h
- kbookmarkimporter_ns.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:02 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003